Debian Bug report logs - #706713
ITP: plv8 -- Procedural language interface between PostgreSQL and JavaScript

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Evgeni Golov <evgeni@debian.org>

Date: Fri, 3 May 2013 15:57:17 UTC

Owned by: Evgeni Golov <evgeni@debian.org>

Severity: wishlist

Fixed in version plv8/1.4.0.ds-1

Done: Christoph Berg <myon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, evgeni@debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#706713; Package wnpp. (Fri, 03 May 2013 15:57:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
New Bug report received and forwarded. Copy sent to evgeni@debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 03 May 2013 15:57:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: plv8 -- Procedural language interface between PostgreSQL and JavaScript
Date: Fri, 03 May 2013 17:56:07 +0200
Package: wnpp
Severity: wishlist
Owner: Evgeni Golov <evgeni@debian.org>

* Package name    : plv8
  Version         : 1.4.0
  Upstream Author : PLV8JS Development Group
* URL             : http://code.google.com/p/plv8js/
* License         : Expat
  Programming Lang: C++, JavaScript
  Description     : Procedural language interface between PostgreSQL and JavaScript

 V8 is a high performance JavaScript engine written in C++.  It is used
 in the web browser Chromium.
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to JavaScript from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#706713; Package wnpp. (Fri, 03 May 2013 20:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Evgeni Golov <evgeni@debian.org>. (Fri, 03 May 2013 20:21:07 GMT) Full text and rfc822 format available.

Message #10 received at 706713@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Evgeni Golov <evgeni@debian.org>, 706713@bugs.debian.org
Subject: Re: Bug#706713: ITP: plv8 -- Procedural language interface between PostgreSQL and JavaScript
Date: Fri, 03 May 2013 22:18:11 +0200
On 03/05/2013 17:56, Evgeni Golov wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Evgeni Golov <evgeni@debian.org>
> 
> * Package name    : plv8
>   Version         : 1.4.0
>   Upstream Author : PLV8JS Development Group
> * URL             : http://code.google.com/p/plv8js/
> * License         : Expat
>   Programming Lang: C++, JavaScript
>   Description     : Procedural language interface between PostgreSQL and JavaScript
> 
>  V8 is a high performance JavaScript engine written in C++.  It is used
>  in the web browser Chromium.

The fact that it is used in mongodb might be a little more adequate here ?

>  PostgreSQL is an open source SQL database server.
>  .
>  This package provides a procedural language interface to JavaScript from
>  PostgreSQL. Procedural languages are used to write functions
>  which can be called in database queries.

We will probably have to coordinate around the libv8 releases at some point.
Would you like to put this package in the pkg-javascript-devel team ?

Regards,
Jérémy.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706713; Package wnpp. (Fri, 03 May 2013 20:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 03 May 2013 20:51:11 GMT) Full text and rfc822 format available.

Message #15 received at 706713@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Jérémy Lal <kapouer@melix.org>, 706713@bugs.debian.org
Subject: Re: Bug#706713: ITP: plv8 -- Procedural language interface between PostgreSQL and JavaScript
Date: Fri, 03 May 2013 22:41:50 +0200
Hi,

On 05/03/2013 10:18 PM, Jérémy Lal wrote:

>>  V8 is a high performance JavaScript engine written in C++.  It is used
>>  in the web browser Chromium.
> 
> The fact that it is used in mongodb might be a little more adequate here ?

Yupp, probably. Description was pretty much copy&paste yet.

>>  PostgreSQL is an open source SQL database server.
>>  .
>>  This package provides a procedural language interface to JavaScript from
>>  PostgreSQL. Procedural languages are used to write functions
>>  which can be called in database queries.
> 
> We will probably have to coordinate around the libv8 releases at some point.
> Would you like to put this package in the pkg-javascript-devel team ?

That, or pkg-postgresql. Not sure which matches better :)
Coorindinating with v8 might be a reason for pkg-js.

BTW, as you seem to be good with the whole js stuff: plv8 includes
coffee-script.js and livescript.js, is there a sane way to generate
these at build-time? coffee-script is packaged, but I do not see a
single .js as shipped in plv8 currently.

Regards
Evgeni



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#706713; Package wnpp. (Fri, 03 May 2013 20:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Evgeni Golov <evgeni@debian.org>. (Fri, 03 May 2013 20:54:04 GMT) Full text and rfc822 format available.

Message #20 received at 706713@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Evgeni Golov <evgeni@debian.org>
Cc: 706713@bugs.debian.org
Subject: Re: Bug#706713: ITP: plv8 -- Procedural language interface between PostgreSQL and JavaScript
Date: Fri, 03 May 2013 22:51:53 +0200
On 03/05/2013 22:41, Evgeni Golov wrote:
> Hi,
> 
> On 05/03/2013 10:18 PM, Jérémy Lal wrote:
> 
>>>  V8 is a high performance JavaScript engine written in C++.  It is used
>>>  in the web browser Chromium.
>>
>> The fact that it is used in mongodb might be a little more adequate here ?
> 
> Yupp, probably. Description was pretty much copy&paste yet.
> 
>>>  PostgreSQL is an open source SQL database server.
>>>  .
>>>  This package provides a procedural language interface to JavaScript from
>>>  PostgreSQL. Procedural languages are used to write functions
>>>  which can be called in database queries.
>>
>> We will probably have to coordinate around the libv8 releases at some point.
>> Would you like to put this package in the pkg-javascript-devel team ?
> 
> That, or pkg-postgresql. Not sure which matches better :)
> Coorindinating with v8 might be a reason for pkg-js.
>
> BTW, as you seem to be good with the whole js stuff: plv8 includes
> coffee-script.js and livescript.js, is there a sane way to generate
> these at build-time? coffee-script is packaged, but I do not see a
> single .js as shipped in plv8 currently.

Coffeescript is not my cup of tea, but
/usr/lib/coffee-script/lib/coffee-script/coffee-script.js

Do you need it at build time or at run time ?
If it's at run time, you could Suggests the dependency on those two
meta-languages, because i suppose they are not the main feature of plv8.

Jérémy.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706713; Package wnpp. (Sat, 04 May 2013 07:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 04 May 2013 07:21:09 GMT) Full text and rfc822 format available.

Message #25 received at 706713@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Jérémy Lal <kapouer@melix.org>, 706713@bugs.debian.org
Subject: Re: Bug#706713: ITP: plv8 -- Procedural language interface between PostgreSQL and JavaScript
Date: Sat, 04 May 2013 09:17:52 +0200
On 05/04/2013 12:36 AM, Jérémy Lal wrote:
> They are probably including coffeescript.js as a constant string array.
> In the case of v8, nodejs, using similar techniques, it is okay since
> they include their own binding code. But plv8 including a copy of coffeescript
> looks weirder.

As far as I understand the code, they load the (coffe|live)script as a
string array, feed it to V8 and then let the result compile the input
from CS/LS to JS at runtime, and execute that via V8 again.
(https://code.google.com/p/plv8js/source/browse/plv8.cc#942)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Evgeni Golov <evgeni@debian.org>:
Bug#706713; Package wnpp. (Sat, 04 May 2013 07:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Evgeni Golov <evgeni@debian.org>. (Sat, 04 May 2013 07:51:09 GMT) Full text and rfc822 format available.

Message #30 received at 706713@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Evgeni Golov <evgeni@debian.org>
Cc: 706713@bugs.debian.org
Subject: Re: Bug#706713: ITP: plv8 -- Procedural language interface between PostgreSQL and JavaScript
Date: Sat, 04 May 2013 09:50:11 +0200
On 04/05/2013 09:17, Evgeni Golov wrote:
> On 05/04/2013 12:36 AM, Jérémy Lal wrote:
>> They are probably including coffeescript.js as a constant string array.
>> In the case of v8, nodejs, using similar techniques, it is okay since
>> they include their own binding code. But plv8 including a copy of coffeescript
>> looks weirder.
> 
> As far as I understand the code, they load the (coffe|live)script as a
> string array, feed it to V8 and then let the result compile the input
> from CS/LS to JS at runtime, and execute that via V8 again.
> (https://code.google.com/p/plv8js/source/browse/plv8.cc#942)

The question is : why don't they load the code from file at run time ?
It is so simpler...

Jérémy.

 




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 01 Jul 2013 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Christoph Berg <myon@debian.org>:
You have taken responsibility. (Mon, 08 Jul 2013 19:03:13 GMT) Full text and rfc822 format available.

Notification sent to Evgeni Golov <evgeni@debian.org>:
Bug acknowledged by developer. (Mon, 08 Jul 2013 19:03:13 GMT) Full text and rfc822 format available.

Message #37 received at 706713-close@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 706713-close@bugs.debian.org
Subject: Bug#706713: fixed in plv8 1.4.0.ds-1
Date: Mon, 08 Jul 2013 19:00:06 +0000
Source: plv8
Source-Version: 1.4.0.ds-1

We believe that the bug you reported is fixed in the latest version of
plv8, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706713@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Berg <myon@debian.org> (supplier of updated plv8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 01 Jul 2013 13:21:31 +0200
Source: plv8
Binary: postgresql-9.1-plv8
Architecture: source amd64
Version: 1.4.0.ds-1
Distribution: unstable
Urgency: low
Maintainer: Evgeni Golov <evgeni@debian.org>
Changed-By: Christoph Berg <myon@debian.org>
Description: 
 postgresql-9.1-plv8 - Procedural language interface between PostgreSQL and JavaScript
Closes: 706713
Changes: 
 plv8 (1.4.0.ds-1) unstable; urgency=low
 .
   * Remove coffee-script.js and livescript.js from the source tarball (we
     don't have source code for these), and disable building the extensions.
 .
 plv8 (1.4.0-2) unstable; urgency=low
 .
   * Manually loop over the versions to build/install instead of using
     pg_buildext because the buildsystem doesn't like "srcdir" in the
     environment.
   * Remove 8.4 from debian/pgversions as it fails on i386 (amd64 works).
   * Makefile: use pg_config --includedir-server so we get the version
     number for the right PostgreSQL version.
   * Run make installcheck using autopkgtest. (Needs postgresql-common >= 146).
   * Point Vcs headers at anonscm.debian.org.
 .
 plv8 (1.4.0-1) unstable; urgency=low
 .
   * Initial upload.
     Closes: #706713
   * This Debian package was created for xtuple.com, and donated to the
     Debian community.
Checksums-Sha1: 
 67ae8dd215d87f7d3e6d39d16421ebb88de004ed 1963 plv8_1.4.0.ds-1.dsc
 c2772ae0166d57c4a8b32ad3488d06d16627709e 45130 plv8_1.4.0.ds.orig.tar.bz2
 9ff39c1830ce91b2dc229a76aee1a494fd7bc73d 4518 plv8_1.4.0.ds-1.debian.tar.gz
 cb2eafd6e27d529903d1de4964b6bc47b7ac2d7c 55624 postgresql-9.1-plv8_1.4.0.ds-1_amd64.deb
Checksums-Sha256: 
 402aeba2502c54091aaa27a111fd7738115a09c58abf1718c9910da9d852e670 1963 plv8_1.4.0.ds-1.dsc
 c64860b2b19212d161d741d35a5ba5520abb2abf12cf7a0fff7bce0f075d6dae 45130 plv8_1.4.0.ds.orig.tar.bz2
 3ff09b228054d1465df0d1e5e0c02b44ba24c22715be95cfceac77bffcfa1c18 4518 plv8_1.4.0.ds-1.debian.tar.gz
 5937dc0daf76cd2d58de1e33736cb834db192becc36e69e450614104f80bedca 55624 postgresql-9.1-plv8_1.4.0.ds-1_amd64.deb
Files: 
 62974474b3ae15d6e3ae3290c066d918 1963 libs extra plv8_1.4.0.ds-1.dsc
 e17f85fc828e33346803049a2259cb89 45130 libs extra plv8_1.4.0.ds.orig.tar.bz2
 cad12d132c24cb9345e79f9ee9071b6a 4518 libs extra plv8_1.4.0.ds-1.debian.tar.gz
 6862fca5ed92644bcdc0ffa9ebee599e 55624 libs extra postgresql-9.1-plv8_1.4.0.ds-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJR0W0jAAoJEExaa6sS0qeuIYMP/1lVzoLdPIzbD/GcGnuvTIyD
PoEUTsXwddDgIx7pC/eAlBgi3w7DgFSHBDImQ7gg7Y+3AG42e4b+/fWF2W501eTS
um78thncZlnbvEIYI4eiCXVQBT/XC+g2qTDHfeB/Na5dgYUrjVxD38CQcRvb8XP6
c20w61omTQdUWMISzlmnTxbf0tIF7j0wWRIvhxWCTu4qC82OfttlxS1BzU3jokbg
9voklohnQ/wiSI79C2mSDfH2+zELCtpTeZsoMbGbuzYQm8GuYf5ns3q1gvO208/E
78qIQCndIebaFlsntyJycohszCNhol126BP0jIHdcRdz+7dzyuUe9asaxJbAZMBD
da4b3rq7YirZUHiS5sRlEZrgb4/HqR5fZklPe2FuE3WBi9E5eNA65EtBiAxVC344
xEj7hfp+HVil0AfAc6p5YtZEc5PsBIrvVKnKmzcL3iMfjVMW99FntgtEEEp4BkCB
K3ZbOBtpmTVCE1qtg7mUj2CcN4IpMNYfeq3LKc3xN7LzPNkbiqlR2E0hhl8413gl
BQ4JB9qCVlpov6NYH4sI4y1LnAV3Fe510GZVRf6vNFrri6EpVzCyCPUgkMSorHHr
PkI0QoOjf6hBDiGrXPY7UMtEJiesKLYHz4tPfZlFEEZ1MmXMGqidNXxEEgjqyf4C
mduEU4/Z0Oe1jFZsVimy
=mGuv
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Aug 2013 07:27:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:16:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.